Bug 1338896 (CVE-2015-8876) - CVE-2015-8876 php: Zend/zend_exceptions.c does not validate certain Exception objects
Summary: CVE-2015-8876 php: Zend/zend_exceptions.c does not validate certain Exception...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8876
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1338927
Blocks: 1338914
TreeView+ depends on / blocked
 
Reported: 2016-05-23 15:25 UTC by Andrej Nemec
Modified: 2019-09-29 13:49 UTC (History)
13 users (show)

Fixed In Version: php 5.4.44, php 5.5.28, php 5.6.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-01 14:44:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 0 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Andrej Nemec 2016-05-23 15:25:42 UTC
A vulnerability was found in php. Zend/zend_exceptions.c in PHP before 5.4.44, 5.5.x before 5.5.28, and 5.6.x before 5.6.12 does not validate certain Exception objects, which allows remote attackers to cause a denial of service (NULL pointer dereference and application crash) or trigger unintended method execution via crafted serialized data.

Upstream bug:

https://bugs.php.net/bug.php?id=70121

Comment 1 Andrej Nemec 2016-05-23 16:35:57 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1338927]

Comment 2 Tomas Hoger 2016-06-01 14:44:34 UTC
This issue is triggered by deserialization of untrusted input - which is something explicitly documented as insecure:

http://php.net/manual/en/function.unserialize.php

Comment 3 errata-xmlrpc 2016-11-15 11:52:33 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.